<!doctype html>
<html lang="cs" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css"
          integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" th:href="@{/css/styles.css}"/>
    <title>Výpis příspěvků</title>
</head>
<body>
<nav class="navbar navbar-expand-lg  navbar-dark bg-dark">
    <li class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">

            <li class="nav-item" th:if="${admin}">
                <a class="nav-link" th:href="@{/admin/categories}">Kategorie</a>
            </li>
            <li class="nav-item" th:if="${admin}">
                <a class="nav-link" th:href="@{/admin/users}">Uživatelé</a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" th:href="@{/articles}">Příspěvky</a>
            </li>

                    <li class="nav-item" th:unless="${auth}">
                         <a class="nav-link btn btn-md btn-danger" th:href="@{/login}">Login</a>
                    </li>
            <li class="nav-item" th:unless="${auth}">
                &nbsp;
            </li>
                    <li class="nav-item" th:unless="${auth}">
                         <a class="nav-link btn btn-md btn-danger" th:href="@{/registration}">Registration</a>
                    </li>

                <li th:if="${auth}">
                    <a class="nav-link btn btn-md btn-danger" th:href="@{/logout}">Logout</a>
</li>

        </ul>
    </li>
    </div>
</nav>
<div class="content">
    <h1>Výpis příspěvků</h1>
    <table class="table">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Nadpis</th>
            <th scope="col">Akce</th>
            <th scope="col">Hodnotit</th>

        </tr>
        </thead>
        <tbody>
        <th:block th:each="article : ${articles}">
            <tr class="table-row-cell">
                <td th:text="${article.title}">...</td>
                <td>
                    <a th:href="@{/article(articleId=${article.articleId})}">Zobrazit</a>
                </td>
                <td>
                    <span th:if="${auth}">
                    <form autocomplete="off" th:action="@{/articles(articleId=${article.articleId},)}"
                          th:object="${evaluation}" method="post" class="form-horizontal"
                          role="form">
                        <input type="number" th:field="*{evaluationNumber}" name="evaluationNumber" value="1" min="0"
                               max="5">
                        <input type="submit" value="Hodnotit" style="background-color: black; color: white;">
                    </form>
                    </span>
                </td>
            </tr>
        </th:block>
        </tbody>
    </table>
    <a style="color:white" href="/user/article">
        <button type="button" class="btn btn-dark">Nový příspěvek</button>
    </a>
</div>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"
        integrity="sha384-wHAiFfRlMFy6i5SRaxvfOCifBUQy1xHdJ/yoi7FRNXMRBu5WHdZYu1hA6ZOblgut"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"
        integrity="sha384-B0UglyR+jN6CkvvICOB2joaf5I4l3gm9GU6Hc1og6Ls7i6U/mkkaduKaBhlAXv9k"
        crossorigin="anonymous"></script>
</body>
</html>